Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Nessus: users

nessus-update-plugins

 

 

Nessus users RSS feed   Index | Next | Previous | View Threaded


terje.tollisen at accenture

Jan 16, 2002, 5:22 AM

Post #1 of 12 (3634 views)
Permalink
nessus-update-plugins

Hi.
I've just started working with a Linux box with Nessus allready istalled. I
tried using the nessus-update-plugins command and found it missing. I
gathered from the doc and archive that I need wget or lynx, so I installed
wget and installed nessus again using:

./configure --enable-cipher
in nessus-libraries

and

./configure --disable-gtk
in nessus-core

Seemed to work fine, but nessus-updata-plugins was not produced.
Can I simply copy the script to /usr/local/sbin, or do I need to set up
nessus again with more configurations etc?

I'm using Nessus 1.0.10 for Linux

Regards,
-Terje Tollisen



This message is for the designated recipient only and may contain
privileged, proprietary, or otherwise private information. If you have
received it in error, please notify the sender immediately and delete the
original. Any other use of the email by you is prohibited.


eppis at kalma

Jan 16, 2002, 5:44 AM

Post #2 of 12 (3603 views)
Permalink
RE: nessus-update-plugins [In reply to]

If you just want to install the plugins the alternate
to "auto-update" is described on
http://www.nessus.org/scripts.html

" To install them without using nessus-update-plugins(8) :

download them
copy them into /usr/local/lib/nessus/plugins/ (or to the plugins directory you specified in nessusd.conf.)
restart your nessusd (kill -1 `cat /usr/local/var/nessus/nessusd.pid`) "

Solution to your problem is beyond my knowledge,
sorry.

/Eppis


----- Original Message -----
Datum: Wed, 16 Jan 2002 13:22:28 +0100
Från: terje.tollisen [at] accenture
Till: nessus [at] list
X-Mailer: Lotus Notes Release 5.0.4 June 8, 2000
Ämne: nessus-update-plugins

Hi.
Ive just started working with a Linux box with Nessus allready istalled. I
tried using the nessus-update-plugins command and found it missing. I
gathered from the doc and archive that I need wget or lynx, so I installed
wget and installed nessus again using:


deraison at nessus

Sep 11, 2002, 2:46 AM

Post #3 of 12 (3597 views)
Permalink
Re: nessus-update-plugins [In reply to]

On Wed, Sep 11, 2002 at 11:42:56AM +0200, Patrice.Arnal [at] alcatel wrote:
> Hello
>
> I have a little configuration problem with nessus-update-plugins :
> I use a proxy server and the the "proxy-user" have a space inside
>
> I tried \ , ' , double quote to pass correctly this space from the
> ~/.nessus-update-pluginsrc but I did not succeed,
> the only fix I found was to get my own copy of nessus-update-plugins and
> "hard code" the line :

That's a bug - I fixed it in CVS, thanks.


-- Renaud
-
nessus [at] list: general discussions about Nessus.
* To unsubscribe, send a mail to majordomo [at] list with
"unsubscribe nessus" in the body.


jay at edgeos

Oct 28, 2003, 7:43 AM

Post #4 of 12 (3603 views)
Permalink
Re: Nessus-update-plugins [In reply to]

On Tue, 28 Oct 2003, Do Van, Tan wrote:

> Hi, I want to run the script under another account... What do i have to
> change to make it works?
>
> Chmod ??? /usr/local/sbin/nessus-update-plugins
> Chmod ??? /usr/local/etc/nessus/nessusd.conf
> Chmod ??? /usr/local/lib/nessus/plugins
>
> What more?


You could 'chown -r user /usr/local/lib/nessus/plugins', but that would
still not work because the script has to HUP the nessusd process which
runs as root. There are compile-time flags to install Nessus as a non-root
user, but I believe that is for development only and might break some
things in production.

~Jay

..
.. Jay Jacobson
.. Edgeos, Inc. - 480.961.5996 - http://www.edgeos.com
..
.. Managed Vulnerability Assessment Services
.. for Information Security Professionals
..


deraison at nessus

Oct 28, 2003, 7:44 AM

Post #5 of 12 (3605 views)
Permalink
Re: Nessus-update-plugins [In reply to]

On Tue, Oct 28, 2003 at 07:43:51AM -0700, Jay Jacobson wrote:
> > Hi, I want to run the script under another account... What do i have to
> > change to make it works?
> >
> > Chmod ??? /usr/local/sbin/nessus-update-plugins
> > Chmod ??? /usr/local/etc/nessus/nessusd.conf
> > Chmod ??? /usr/local/lib/nessus/plugins
> >
> > What more?
>
>
> You could 'chown -r user /usr/local/lib/nessus/plugins', but that would
> still not work because the script has to HUP the nessusd process which
> runs as root. There are compile-time flags to install Nessus as a non-root
> user, but I believe that is for development only and might break some
> things in production.

And in addition to that the script themselves check that the user is
indeed root.


mike.sleeper at srs

Oct 28, 2003, 8:23 AM

Post #6 of 12 (3603 views)
Permalink
Re: Nessus-update-plugins [In reply to]

(Below is an extract of a perl script used once the latest tar file is
pulled down. Yeah, it's a kluge, but it works...)

# kluge perl script to update signatures
# must be run as root

# goto directory where latest tarfile is
cd $NESSUS_HOME/all_plugins/
# Expand the tarfile and replace all current plugins
tar -xvzf all-2.0.tar.gz
mv *.nasl $NESSUS_HOME/plugins
mv *.inc $NESSUS_HOME/plugins
# reset the owner & group for all plugins
chown 0 $NESSUS_HOME/plugins/*.inc
chgrp 0 $NESSUS_HOME/plugins/*.inc
chown 0 $NESSUS_HOME/plugins/*.nasl
chgrp 0 $NESSUS_HOME/plugins/*.nasl

# (perl script to find Nessus PID) -
$mycmd = "ps -C nessusd -o pid=";
$myPid = `$mycmd 2>/dev/null`;
chop($myPid);
$myPid =~ s/ //g;

# restart the nessus daemond
kill -HUP $myPid




Renaud Deraison <deraison [at] nessus>
Sent by: owner-nessus [at] list
10/28/2003 09:44 AM

To
nessus [at] list
cc

Subject
Re: Nessus-update-plugins






On Tue, Oct 28, 2003 at 07:43:51AM -0700, Jay Jacobson wrote:
> > Hi, I want to run the script under another account... What do i have
to
> > change to make it works?
> >
> > Chmod ??? /usr/local/sbin/nessus-update-plugins
> > Chmod ??? /usr/local/etc/nessus/nessusd.conf
> > Chmod ??? /usr/local/lib/nessus/plugins
> >
> > What more?
>
>
> You could 'chown -r user /usr/local/lib/nessus/plugins', but that would
> still not work because the script has to HUP the nessusd process which
> runs as root. There are compile-time flags to install Nessus as a
non-root
> user, but I believe that is for development only and might break some
> things in production.

And in addition to that the script themselves check that the user is
indeed root.


theall at tenablesecurity

Apr 15, 2005, 11:00 AM

Post #7 of 12 (3586 views)
Permalink
Re: nessus-update-plugins [In reply to]

On Fri, Apr 15, 2005 at 01:24:36PM -0400, Bill S Pipes
wrote:

> nessus-fetch --check
> bash: /usr/local/bin/nessus-fetch: cannot execute binary

What does "file /usr/local/bin/nessus-fetch" report?

What about "uname -a"?

George

--
theall [at] tenablesecurity


theall at tenablesecurity

Jul 21, 2005, 5:48 PM

Post #8 of 12 (3594 views)
Permalink
Re: nessus-update-plugins [In reply to]

On Thu, Jul 21, 2005 at 05:15:05PM -0400, Philip_Luo [at] adp wrote:

> I cannot find this script in the nessus directories. What's wrong?

Which version of Nessus do you have? And how did you install it?

George
--
theall [at] tenablesecurity


josh at tkos

Sep 8, 2005, 5:49 AM

Post #9 of 12 (3600 views)
Permalink
Re: nessus-update-plugins [In reply to]

>
> Also I am following the instructions under
> http://www.securityfocus.com/infocus/1741 to use nessus (I am newbie in this
> program). In this website is recommended to use the hydra password cracker. I
> am trying to install it as a debian package but apt-get cannot find it...
>

That is strange. Hydra 4.1-1 is the current version in Debian unstable.

Could there be a problem with you apt sources? Did you try apt-get update?

--
- Josh


jfernandez at germinus

Sep 27, 2005, 9:12 AM

Post #10 of 12 (3605 views)
Permalink
Re: nessus-update-plugins [In reply to]

Josh Zlatin-Amishav wrote:

>>
>> Also I am following the instructions under
>> http://www.securityfocus.com/infocus/1741 to use nessus (I am newbie
>> in this program). In this website is recommended to use the hydra
>> password cracker. I am trying to install it as a debian package but
>> apt-get cannot find it...
>>
>
> That is strange. Hydra 4.1-1 is the current version in Debian unstable.

Actually it's not. It was removed from Debian since the license was
non-free and there are several other licensing issues related to its
use of OpenSSL code. For more information see
http://bugs.debian.org/258057

Regards

Javier


josh at tkos

Sep 27, 2005, 10:41 AM

Post #11 of 12 (3620 views)
Permalink
Re: nessus-update-plugins [In reply to]

On Tue, 27 Sep 2005, Javier Fernandez-Sanguino wrote:

> Actually it's not. It was removed from Debian since the license was non-free
> and there are several other licensing issues related to its use of OpenSSL
> code. For more information see
> http://bugs.debian.org/258057

Then I stand corrected.

Thanks for the clarification.

--
- Josh


theall at tenablesecurity

Jul 13, 2006, 9:38 AM

Post #12 of 12 (3613 views)
Permalink
Re: nessus-update-plugins [In reply to]

On Wed, Jul 12, 2006 at 05:43:04PM +0200, Patrice.Arnal [at] alcatel wrote:

> /usr/local/sbin/nessus-update-plugins
>
> produced the following output:
>
> Warning: missing newline at end of file /usr/local/lib/nessus/plugins/MD5
> Warning: missing newline at end of file all-2.0.tar.gz.md5
...
> Is this normal?

Yes, it's normal, at least with implementations of diff that direct such
warnings to STDERR rather than STDOUT. We'll be adding a newline to the
file, though, so you shouldn't see these messages any more.

> By the way, at what time are scheduled your plugins updates?
> I will adjust the schedule of mine accordingly.

Plugins are updated continually throughout the day, and plugin tarballs
(which are what nessus-update-plugins retrieves) are prepared hourly, I
think. Still, we recommend that users recommend their plugins once a
day, and never more frequently than once every 4 hours.

George
--
theall [at] tenablesecurity
_______________________________________________
Nessus mailing list
Nessus [at] list
http://mail.nessus.org/mailman/listinfo/nessus

Nessus users RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.